/*****************************************************************************
    Ethernet packet sniffer - GreedyDog2

    Developed by Shadow Penguin Security Resarch Group
     http://www.shadowpenguin.org
     UNYUN <unyun@shadowpenguin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
 *****************************************************************************/

#ifndef __PROMISC_H__
#define __PROMISC_H__

#define ERR_PROMISC_OPEN            -1
#define ERR_PROMISC_READ            -2
#define ERR_PROMISC_WRITE           -3
#define ERR_PROMISC_BIND            -4
#define ERR_PROMISC_SETSOCKOPT      -5
#define ERR_PROMISC_TOOLONG_NITDEV  -6
#define ERR_PROMISC_TOOLONG_NICNAME -7

extern SOCKET setnic_promisc(char *nit_dev,char *nic_name,int *chunksize);

#endif
