/*****************************************************************************
    Ethernet packet sniffer - GreedyDog2.1

    Developed by Shadow Penguin Security Resarch Group
     http://www.shadowpenguin.org
     UNYUN <unyun@shadowpenguin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    4lj <4lj@flow.le.to> implements "tmpfile hold" mode

 *****************************************************************************/

#ifndef __STREAMLOGGING_H__
#define __STREAMLOGGING_H__

#include "gddconfig.h"

enum{
    STREAM_NOERR,
    STREAM_PRMERR,
    STREAM_OPENERR
};
    
extern int streamlogging_open(GDDCONFIG *,char *,unsigned char,char *,unsigned short,char *,unsigned short);
extern int streamlogging_close(GDDCONFIG *,char *,unsigned char,char *,unsigned short,char *,unsigned short);
extern int streamlogging_write(GDDCONFIG *,char *,char *,unsigned long,int,unsigned char,char *,unsigned short,char *,unsigned short);
extern int streamlogging_interrupt(GDDCONFIG *,char *,char *,unsigned long,int,char *,unsigned short,char *,unsigned short);

#endif
